MaillyDocs

Get email translation settings

GET
/translation-settings

Translation in the web inbox replaces the text of an email in place. Without saved settings, target_language follows the workspace language.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Response Body

Email translation settings

application/json
  1. response
success*boolean
settings*
available*boolean

false when translation is turned off for the whole platform

languages*array<>
[key: string]?unknown
curl -X GET 'https://api.mailly.site/translation-settings'
{  "success": true,  "settings": {    "enabled": true,    "target_language": "zh-CN",    "auto_translate": true,    "configured": true  },  "available": true,  "languages": [    {      "code": "string",      "name": "string",      "native": "string"    }  ],  "property1": null,  "property2": null}